MONGOC_URI_OPTION_IS_INT32(3)

NAME
mongoc_uri_option_is_int32 - mongoc_uri_option_is_int32()

SYNOPSIS

bool
mongoc_uri_option_is_int32 (const char *option);

PARAMETERS

•   option: The name of an option, case insensitive.

DESCRIPTION

Returns true if the option is a known MongoDB URI option of integer type. For example, "zlibCompressionLevel=5" is a valid integer MongoDB URI option, so mongoc_uri_option_is_int32 ("zlibCompressionLevel") is true. This will also return true for all 64-bit integer options.

SEE ALSO

•   mongoc_uri_option_is_int64()

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc